import { nameof } from 'ts-simple-nameof';
import { TypedEvent } from '../../TypedEvent';
var DevicesService = (function () {
    function DevicesService() {
        this._serviceName = nameof(DevicesService);
        this._onDeviceFoundEvent = new TypedEvent();
        this._onDeviceRegisteredEvent = new TypedEvent();
        this._onDeviceRemovedEvent = new TypedEvent();
        this._onDeviceStateChangedEvent = new TypedEvent();
    }
    DevicesService.prototype.GetServiceName = function () {
        return this._serviceName;
    };
    DevicesService.prototype.SyncDevicesStatesAsync = function () {
        throw new Error('Method not implemented.');
    };
    DevicesService.prototype.OnDeviceStateChangedEvent = function () {
        return this._onDeviceStateChangedEvent;
    };
    DevicesService.prototype.OnDeviceRegisteredEvent = function () {
        return this._onDeviceRegisteredEvent;
    };
    DevicesService.prototype.OnDeviceRemovedEvent = function () {
        return this._onDeviceRemovedEvent;
    };
    DevicesService.prototype.OnDeviceFoundEvent = function () {
        return this._onDeviceFoundEvent;
    };
    DevicesService.prototype.GetDevicesAsync = function () {
        throw new Error('Method not implemented.');
    };
    DevicesService.prototype.GetDevice = function (guid) {
        throw new Error('Method not implemented.');
    };
    DevicesService.prototype.FindDevicesAsync = function (device) {
        throw new Error('Method not implemented.');
    };
    DevicesService.prototype.RegisterDeviceAsync = function (device) {
        throw new Error('Method not implemented.');
    };
    DevicesService.prototype.RemoveDeviceAsync = function (device) {
        throw new Error('Method not implemented.');
    };
    return DevicesService;
}());
export { DevicesService };
//# sourceMappingURL=DevicesService.js.map