export var DeviceTaskType;
(function (DeviceTaskType) {
    DeviceTaskType["Unknown"] = "";
})(DeviceTaskType || (DeviceTaskType = {}));
export var DeviceResponseType;
(function (DeviceResponseType) {
    DeviceResponseType["Unknown"] = "";
})(DeviceResponseType || (DeviceResponseType = {}));
export var DeviceState;
(function (DeviceState) {
    DeviceState[DeviceState["NotResponding"] = 0] = "NotResponding";
    DeviceState[DeviceState["Working"] = 1] = "Working";
    DeviceState[DeviceState["Broken"] = 2] = "Broken";
    DeviceState[DeviceState["FirmareUpgradeMode"] = 3] = "FirmareUpgradeMode";
})(DeviceState || (DeviceState = {}));
export var CommunicationWay;
(function (CommunicationWay) {
    CommunicationWay[CommunicationWay["TwoWay"] = 1] = "TwoWay";
    CommunicationWay[CommunicationWay["OneWay"] = 2] = "OneWay";
    CommunicationWay[CommunicationWay["ConditionalTwoWay"] = 3] = "ConditionalTwoWay";
})(CommunicationWay || (CommunicationWay = {}));
export var DeviceType;
(function (DeviceType) {
    DeviceType[DeviceType["Unknown"] = -1] = "Unknown";
    DeviceType[DeviceType["Multipurpose"] = 0] = "Multipurpose";
    DeviceType[DeviceType["Controller"] = 1] = "Controller";
    DeviceType[DeviceType["Driver"] = 2] = "Driver";
    DeviceType[DeviceType["Receiver"] = 3] = "Receiver";
    DeviceType[DeviceType["Remote"] = 4] = "Remote";
    DeviceType[DeviceType["Sensor"] = 5] = "Sensor";
    DeviceType[DeviceType["Scene"] = 6] = "Scene";
})(DeviceType || (DeviceType = {}));
//# sourceMappingURL=IDevice.js.map